summaryrefslogtreecommitdiffstats
path: root/network/btpd/btpd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/btpd/btpd.SlackBuild')
-rw-r--r--network/btpd/btpd.SlackBuild12
1 files changed, 7 insertions, 5 deletions
diff --git a/network/btpd/btpd.SlackBuild b/network/btpd/btpd.SlackBuild
index 63765bee58..dfc8fc37d3 100644
--- a/network/btpd/btpd.SlackBuild
+++ b/network/btpd/btpd.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for btpd
-# Copyright 2008 Nilton Moura a.k.a bombtrack or nmoura <moura.nilton@gmail.com>
+# Copyright 2009 Nilton Moura a.k.a nmoura <moura.nilton@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=btpd
-VERSION=${VERSION:-0.13}
+VERSION=${VERSION:-0.15}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -65,8 +65,10 @@ make || exit 1
make install DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -78,4 +80,4 @@ cd $TMP/$PRGNAM-$VERSION
cp -a CHANGES COPYRIGHT README $PKG/usr/doc/$PRGNAM-$VERSION
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}